Sawvant
Jobs

Render a cutting plan as SVG

Returns one sheet layout of a completed job as an SVG cutting plan with dimensions and grain direction.

GET
/v1/jobs/{id}/diagram
X-API-Key<token>

API key with sk_ prefix

In: header

Path Parameters

id*string

Job UUID

Formatuuid

Query Parameters

sheet?integer

Index into the job's layouts array

Default0
Range0 <= value

Response Body

image/svg+xml

application/json

application/json

application/json

application/json

curl -X GET "https://api.sawvant.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/diagram"
"string"
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}